Bug 478683 - Review Request: perl-Net-Google-AuthSub - Provides interface to interact with sites that implement Google style AuthSub
Review Request: perl-Net-Google-AuthSub - Provides interface to interact with...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-03 09:58 EST by Andy Shevchenko
Modified: 2010-02-18 17:43 EST (History)
5 users (show)

See Also:
Fixed In Version: perl-Net-Google-AuthSub-0.5-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-18 17:21:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andy Shevchenko 2009-01-03 09:58:32 EST
Spec URL: http://smile.org.ua/~andy/prj/Fedora/perl-Net-Google-AuthSub.spec
SRPM URL: http://smile.org.ua/~andy/prj/Fedora/perl-Net-Google-AuthSub-0.4-1.sh7.src.rpm
Description: 
AuthSub is Google's method of authentication for their web
services. It is also used by other web sites.

You can read more about it here.
    http://code.google.com/apis/accounts/Authentication.html

A Google Group for AuthSub is here.
    http://groups.google.com/group/Google-Accounts-API
Comment 1 Jason Tibbitts 2009-03-07 18:32:18 EST
smile.org.ua is not resolving for me currently.
Comment 2 Jason Tibbitts 2009-03-12 11:11:21 EDT
Please clear the whiteboard field if the site returns.
Comment 4 Chris Weyl 2009-05-03 16:40:10 EDT
Marking as blocking FE-NEEDSPONSOR.
Comment 5 Andy Shevchenko 2009-05-11 14:59:04 EDT
(In reply to comment #4)
> Marking as blocking FE-NEEDSPONSOR.  

Sorry, I probably lost new information about sponsorship.
At least 8 packages have being already maintained by me and I am member of Fedora Packager CVS Commit Group. What else should I do to get sponsorship nowadays?
Thank you.
Comment 6 Jason Tibbitts 2009-09-18 13:23:25 EDT
This whole thing is confusing.

If you already maintain packages in Fedora, you don't require sponsorship.  I'm not sure why Chris blocked FE-NEEDSPONSOR.  Your FAS ID is andriy, isn't it?

Could you consider updating to 0.5?
Comment 7 Chris Weyl 2009-09-18 13:37:18 EDT
*sigh* sorry about that -- your bugzilla email is different than your FAS email (andy.shevchenko@gmail.com) so my reviewing script flagged you as unsponsored.
Comment 8 Jason Tibbitts 2009-09-22 20:33:37 EDT
I'm going to drop this out of the review queue; Andy, please clear the whiteboard if you have a 0.5 package or info on why 0.4 should go in instead.
Comment 9 Jan Klepek 2009-10-12 07:01:57 EDT
any progress on packaging 0.5 version? If you are not interested anymore, let me know, I will take over this package.
Comment 10 Andy Shevchenko 2009-11-08 14:51:12 EST
(In reply to comment #9)
> any progress on packaging 0.5 version? If you are not interested anymore, let
> me know, I will take over this package.  

Please, look at http://starua.com/~andy/Fedora/perl-Net-Google-AuthSub.spec and 
http://starua.com/~andy/Fedora/perl-Net-Google-AuthSub-0.5-1.sh7.src.rpm
Comment 11 Andy Shevchenko 2010-01-05 09:59:30 EST
Any interest here?
Comment 12 Marcela Mašláňová 2010-01-22 04:27:21 EST
OK rpmlint on every package.
OK name of package accords to the Naming Guidelines.
OK spec file name match the base package %{name}.
OK package meet the Packaging Guidelines.
OK package has a good license.
OK spec file is written in American English.
OK spec file for the package must be legible.
OK The sources used to build the package must match the upstream source.
OK successful koji compilation.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1937848
OK correct BuildRequires, Requires.
OK proper use of %find_lang macro.
OK shared library must call ldconfig in %post and %postun.
OK relocatable package must state this fact.
OK package must own their directories.
OK permissions on files must be set properly.
  use rather %{__fixperms} then chmod in build section
OK %clean section with rm -rf %{buildroot}.
OK consistent use of macros.
OK package contains code, or permissable content.
OK large documentation go in a -doc subpackage.
OK %doc must not affect the runtime of the application.
OK header files must be in a -devel package.
OK static libraries must be in a -static package.
OK pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK library files with a suffix (.so) must go in -devel.
OK usually devel packages must require the base package.
OK Remove .la libtool archives.
OK GUI applications must include a %{name}.desktop file.
OK %install section starts with rm -rf %{buildroot}.
Comment 13 Andy Shevchenko 2010-01-30 08:59:00 EST
Thank you.
Does it mean the package passes review? ('cause I don't see any flags, like fedora-review is set).
Comment 14 Marcela Mašláňová 2010-02-01 03:09:15 EST
Thanks for reminder. ACCEPTED
Comment 15 Andy Shevchenko 2010-02-06 08:44:11 EST
New Package CVS Request
=======================
Package Name: perl-Net-Google-AuthSub
Short Description: Provides interface to interact with sites that implement Google style AuthSub
Owners: andriy
Branches: F-11 F-12
InitialCC: perl-sig
Comment 16 Andy Shevchenko 2010-02-06 08:45:44 EST
(In reply to comment #14)
> Thanks for reminder. ACCEPTED    

Thank you for review!
Comment 17 Kevin Fenzi 2010-02-07 16:19:41 EST
CVS done (by process-cvs-requests.py).
Comment 18 Fedora Update System 2010-02-08 16:51:10 EST
perl-Net-Google-AuthSub-0.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Net-Google-AuthSub-0.5-1.fc12
Comment 19 Fedora Update System 2010-02-08 16:51:15 EST
perl-Net-Google-AuthSub-0.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Net-Google-AuthSub-0.5-1.fc11
Comment 20 Fedora Update System 2010-02-09 15:58:25 EST
perl-Net-Google-AuthSub-0.5-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-Google-AuthSub'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1651
Comment 21 Fedora Update System 2010-02-09 15:59:42 EST
perl-Net-Google-AuthSub-0.5-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Net-Google-AuthSub'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1671
Comment 22 Fedora Update System 2010-02-18 17:20:59 EST
perl-Net-Google-AuthSub-0.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2010-02-18 17:43:04 EST
perl-Net-Google-AuthSub-0.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.